package net.sergeych.crypto2

import net.sergeych.bintools.CRC

fun isValidContrail(data: UByteArray): Boolean = CRC.crc8(data.copyOfRange(1, data.size)) == data[0]

fun createContrail(data: UByteArray): UByteArray = ubyteArrayOf(CRC.crc8(data)) + data